<?php
global $op_options;

$prefix = op_get_var($content, 'prefix');
$position = op_get_var($content, 'position');
$theme = op_get_var($content, 'theme');
$specifc_prefix = '';

// Check if optin is overriden on post or page
if ((is_page() || is_single()) && $position !== 'widget') {
    $specifc_prefix = str_replace('page_', 'specific_', $prefix);
    $specifc_prefix = str_replace('single_', 'specific_', $specifc_prefix);
    $specifc_prefix = rtrim($specifc_prefix, '_') . '_';

    if ((int) $op_options[$specifc_prefix . 'form_behaviour'] === 0) {
        $prefix = $specifc_prefix;
    }
}

$class = "optin-box-optimizetheme optin-box-optimizetheme-$position optin-box-optimizetheme-$theme";
$btn_color = $op_options[$prefix . 'submit_button_text_color'];
$btn_bg_color = $op_options[$prefix . 'submit_button_background_color'];
$btn_hover_bg_color = $op_options[$prefix . 'submit_button_hover_background_color'];

if ((int) $op_options[$prefix . 'form_in_popup'] === 1) {
    $btn_color = $op_options[$prefix . 'lightbox_submit_button_text_color'];
    $btn_bg_color = $op_options[$prefix . 'lightbox_submit_button_background_color'];
    $btn_hover_bg_color = $op_options[$prefix . 'lightbox_submit_button_hover_background_color'];
}

$custom_style = "#op-optin-$id .default-button { color: $btn_color; background-color: $btn_bg_color; }";
$custom_style .= "#op-optin-$id .default-button:hover { background-color: $btn_hover_bg_color; }";

$img_wrap_start = '';
$img_wrap_end = '';
if (isset($op_options[$prefix . 'image'])
    && !empty($op_options[$prefix . 'image']['url'])
    && (int) $op_options[$prefix . 'form_in_popup'] !== 1) {

    $img = $op_options[$prefix . 'image'];
    $width = isset($img['width']) ? $img['width'] : 150;
    $height = isset($img['height']) ? $img['height'] : 212;
    $additional_class = '';

    if ($width > $height) {
        $additional_class = ' optin-box-optimizetheme-img-container-landscape';
    }

    $img_html = '';
    $img_html .= '<div class="optin-box-optimizetheme-column optin-box-optimizetheme-img-container' . $additional_class . '">';
        $img_html .= '<img class="optin-box-optimizetheme-img" src="' . $img['url'] . '" alt="" width="' . $width . '" height="' . $height . '" />';
    $img_html .= '</div>';

    $img_wrap_start .= '<div class="optin-box-optimizetheme-row">';
        $img_wrap_start .= $img_html;
        $img_wrap_start .= '<div class="optin-box-optimizetheme-column">';
        $img_wrap_end .= '</div>';
    $img_wrap_end .= '</div>';
}
?>
<aside id="<?php echo "op-optin-$id"; ?>" class="optin-box <?php echo $class; ?>">
    <div class="container op-container optin-box-content optin-box-optimizetheme-content">
        <?php echo $img_wrap_start; ?>

        <div class="optin-box-optimizetheme-headline-container">
            <?php echo op_get_var($content, 'headline', '', '<h2 class="optin-box-optimizetheme-headline">%1$s</h2>'); ?>
            <?php echo op_get_var($content, 'subheadline', '', '<p class="optin-box-optimizetheme-subheadline">%1$s</p>'); ?>
        </div>

        <div class="optin-box-optimizetheme-form-container">
        <?php
            echo $form_open.$hidden_str ?>
                <div class="optin-box-optimizetheme-text-boxes">
                    <div class="text-boxes optin-box-optimizetheme-text-boxes">
                        <?php
                        if (isset($order)) {
                            foreach ($order as $field) {
                                if ($field === 'email_field') {
                                    op_get_var_e($fields,'email_field');
                                } else if ($field === 'name_field') {
                                    op_get_var_e($fields,'name_field');
                                } else if (isset($extra_fields[$field])) {
                                    op_get_var_e($extra_fields, $field);
                                }
                            }
                        } else {
                            op_get_var_e($fields, 'name_field');
                            op_get_var_e($fields, 'email_field');
                            echo implode('', $extra_fields);
                        }
                        ?>
                    </div>
                    <?php echo $submit_button; ?>
                </div>
                <div class="optin-box-after-submit-button">
                    <?php do_action('op_after_optin_submit_button'); ?>
                </div>
            </form>
        </div>
        <?php echo op_get_var($content, 'privacy_text', '', '<div class="optin-box-optimizetheme-privacy">%1$s</div>'); ?>

        <?php echo $img_wrap_end; ?>
    </div>
    <style><?php echo $custom_style; ?></style>
</aside>
